--- old/usr/src/cmd/hwdata/pci.ids	Wed Mar 18 19:29:23 2015
+++ new/usr/src/cmd/hwdata/pci.ids	Wed Mar 18 19:29:23 2015
@@ -1,8 +1,8 @@
 #
 #	List of PCI ID's
 #
-#	Version: 2015.01.05
-#	Date:    2015-01-05 03:15:01
+#	Version: 2015.03.17
+#	Date:    2015-03-17 03:15:01
 #
 #	Maintained by Martin Mares <mj@ucw.cz> and other volunteers from the
 #	PCI ID Project at http://pci-ids.ucw.cz/.
@@ -349,9 +349,9 @@
 		1028 1f48  PERC H730P Mini (for blades)
 		1028 1f49  PERC H730 Mini
 		1028 1f4a  PERC H730 Mini (for blades)
-		1028 1f4d  PERC FS33xS
+		1028 1f4d  PERC FD33xS
 		1028 1f4f  PERC H730P Slim
-		1028 1f54  PERC FS33xD
+		1028 1f54  PERC FD33xD
 		17aa 1052  ThinkServer RAID 720i
 		17aa 1053  ThinkServer RAID 720ix
 	005e  SAS1066 PCI-X Fusion-MPT SAS
@@ -1488,6 +1488,7 @@
 		174b e253  Radeon HD 7790 Dual-X OC
 		1787 2329  Radeon HD 7790 TurboDuo
 	665d  Bonaire [Radeon R7 200 Series]
+	665f  Tobago [Radeon R7 300 Series]
 	6660  Sun XT [Radeon HD 8670A/8670M/8690M]
 	6663  Sun PRO [Radeon HD 8570A/8570M]
 		1025 0846  Radeon HD 8570A
@@ -2028,11 +2029,31 @@
 	679f  Tahiti
 	67a0  Hawaii XT GL [FirePro W9100]
 	67a1  Hawaii PRO GL [FirePro W8100]
+		1002 0335  FirePro S9100
 	67a2  Hawaii GL
 	67a8  Hawaii
 	67a9  Hawaii
 	67aa  Hawaii
 	67b0  Hawaii XT [Radeon R9 290X]
+		1043 046a  R9 290X DirectCU II
+		1043 046c  R9 290X DirectCU II OC
+		1043 0474  Matrix R9 290X Platinum
+		1043 0476  ARES III
+		1458 227c  R9 290X WindForce 3X OC
+		1458 2281  R9 290X WindForce 3X OC
+		1458 228c  R9 290X WindForce 3X
+		1458 228d  R9 290X WindForce 3X OC
+		1458 2290  R9 290X WindForce 3X
+		1462 3070  R9 290X Lightning
+		1462 3071  R9 290X Lightning
+		1462 3072  R9 290X Lightning LE
+		1462 3080  R9 290X Gaming
+		1462 3082  R9 290X Gaming OC
+		148c 2347  Devil 13 Dual Core R9 290X
+		1682 9290  Double Dissipation R9 290X
+		174b e282  Vapor-X R9 290X Tri-X OC
+		174b e285  R9 290X Tri-X OC
+		1787 2020  R9 290X IceQ X² Turbo
 	67b1  Hawaii PRO [Radeon R9 290]
 	67b9  Vesuvius [Radeon R9 295X2]
 	67be  Hawaii LE
@@ -3077,6 +3098,7 @@
 	985d  Mullins
 	985e  Mullins
 	985f  Mullins
+	9874  Carrizo
 	9900  Trinity [Radeon HD 7660G]
 # AMD A10-5800K CPU
 	9901  Trinity [Radeon HD 7660D]
@@ -3474,7 +3496,7 @@
 	009f  PCI 4758 Cryptographic Accelerator
 	00a5  ATM Controller (1410a500)
 	00a6  ATM 155MBPS MM Controller (1410a600)
-	00b7  256-bit Graphics Rasterizer [FireGL1]
+	00b7  GXT2000P Graphics Adapter
 		1092 00b8  FireGL1 AGP 32Mb
 	00b8  GXT2000P Graphics Adapter
 	00be  ATM 622MBPS Controller (1410be00)
@@ -3491,6 +3513,10 @@
 	0160  64bit/66MHz PCI ATM 155 MMF
 	016e  GXT4000P Graphics Adapter
 	0170  GXT6000P Graphics Adapter
+		1092 0172  Fire GL2
+		1092 0173  Fire GL3
+		1092 0174  Fire GL4
+		1092 0184  Fire GL4s
 	017d  GXT300P Graphics Adapter
 	0180  Snipe chipset SCSI controller
 		1014 0241  iSeries 2757 DASD IOA
@@ -4469,10 +4495,12 @@
 	0002  AGP Port (virtual PCI-to-PCI bridge)
 	0003  AGP Port (virtual PCI-to-PCI bridge)
 	0004  PCI-to-PCI bridge
+		1039 0000  PCIe x16 port
 	0006  85C501/2/3
 	0008  SiS85C503/5513 (LPC Bridge)
 	0009  5595 Power Management Controller
 	000a  PCI-to-PCI bridge
+		1039 0000  PCIe x1 port
 	0016  SiS961/2/3 SMBus controller
 	0018  SiS85C503/5513 (LPC Bridge)
 	0163  163 802.11b/g Wireless LAN Adapter
@@ -4483,6 +4511,7 @@
 	0186  AHCI Controller (0106)
 	0190  190 Ethernet Adapter
 	0191  191 Gigabit Ethernet Adapter
+		1043 8139  P5SD2-FM/S mainboard
 	0200  5597/5598/6326 VGA
 		1039 0000  SiS5597 SVGA (Shared RAM)
 	0204  82C204
@@ -4542,7 +4571,9 @@
 	0968  SiS968 [MuTIOL Media IO]
 	1180  SATA Controller / IDE mode
 	1182  SATA Controller / RAID mode
+		1039 0180  SiS 966 4-port SATA controller
 	1183  SATA Controller / IDE mode
+		1039 0180  SiS 966 4-port SATA controller
 	1184  AHCI Controller / RAID mode
 	1185  AHCI IDE Controller (0106)
 	3602  83C602
@@ -4646,6 +4677,7 @@
 		a0a0 0022  SiS PCI Audio Accelerator
 	7019  SiS7019 Audio Accelerator
 	7502  Azalia Audio Controller
+		1043 81a1  P5SD2-FM/S mainboard
 103a  Seiko Epson Corporation
 103b  Tatung Corp. Of America
 103c  Hewlett-Packard Company
@@ -8122,6 +8154,7 @@
 		1462 0345  7300LE PCI Express Graphics Adapter
 	01d2  G72 [GeForce 7550 LE]
 	01d3  G72 [GeForce 7200 GS / 7300 SE]
+		1043 8203  EN7300SE
 	01d5  G72
 	01d6  G72M [GeForce Go 7200]
 	01d7  G72M [Quadro NVS 110M/GeForce Go 7300]
@@ -9437,6 +9470,8 @@
 	0e0b  GK106 HDMI Audio Controller
 	0e0c  GF114 HDMI Audio Controller
 	0e0f  GK208 HDMI/DP Audio Controller
+	0e12  TegraK1 PCIe x4 Bridge
+	0e13  TegraK1 PCIe x1 Bridge
 	0e1a  GK110 HDMI Audio
 	0e1b  GK107 HDMI Audio Controller
 		103c 197b  ZBook 15
@@ -9519,7 +9554,7 @@
 		3842 0784  GK110B [GeForce GTX 780 SC w/ ACX Cooler]
 		3842 1784  GK110B [GeForce GTX 780 Dual FTW w/ ACX Cooler]
 		3842 1788  GK110B [GeForce GTX 780 Dual Classified w/ ACX Cooler]
-	1005  GK110 [GeForce GTX Titan]
+	1005  GK110 [GeForce GTX TITAN]
 		1043 8451  GTXTITAN-6GD5
 # Reference Model
 		10de 1035  GeForce GTX Titan
@@ -9536,7 +9571,7 @@
 	1007  GK110 [GeForce GTX 780 Rev. 2]
 	1008  GK110 [GeForce GTX 780 Ti Rev. 2]
 	100a  GK110B [GeForce GTX 780 Ti]
-	100c  GK110B [GeForce GTX Titan Black]
+	100c  GK110B [GeForce GTX TITAN Black]
 	101e  GK110GL [Tesla K20X]
 	101f  GK110GL [Tesla K20]
 	1020  GK110GL [Tesla K20X]
@@ -9621,7 +9656,8 @@
 	10c3  GT218 [GeForce 8400 GS Rev. 3]
 	10c5  GT218 [GeForce 405]
 	10d8  GT218 [NVS 300]
-	1140  GF117M [GeForce 610M/710M/820M / GT 620M/625M/630M/720M]
+	1140  GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M]
+		1019 999f  GeForce GT 720M
 		1025 0600  GeForce GT 620M
 		1025 0606  GeForce GT 620M
 		1025 064a  GeForce GT 620M
@@ -9662,6 +9698,7 @@
 		1025 0821  GeForce GT 720M
 		1025 0823  GeForce GT 720M
 		1025 0830  GeForce GT 720M
+		1025 0833  GeForce GT 720M
 		1025 0837  GeForce GT 720M
 		1025 083e  GeForce 820M
 		1025 0841  GeForce 710M
@@ -9678,8 +9715,18 @@
 		1025 087c  GeForce 810M
 		1025 0881  GeForce 820M
 		1025 088a  GeForce 820M
+		1025 089b  GeForce 820M
 		1025 090f  GeForce 820M
 		1025 0921  GeForce 820M
+		1025 092e  GeForce 810M
+		1025 092f  GeForce 820M
+		1025 093a  GeForce 820M
+		1025 093c  GeForce 820M
+		1025 093f  GeForce 820M
+		1025 0941  GeForce 820M
+		1025 0945  GeForce 820M
+		1025 0954  GeForce 820M
+		1025 0965  GeForce 820M
 		1028 054d  GeForce GT 630M
 		1028 054e  GeForce GT 630M
 		1028 0554  GeForce GT 620M
@@ -9699,8 +9746,12 @@
 		1028 05e0  GeForce GT 720M
 		1028 05e8  GeForce GT 630M
 		1028 05f4  GeForce GT 720M
+		1028 060f  GeForce GT 720M
 		1028 064e  GeForce 820M
 		1028 0652  GeForce 820M
+		1028 0653  GeForce 820M
+		1028 0655  GeForce 820M
+		1028 065e  GeForce 820M
 		1028 0662  GeForce 820M
 		1028 068d  GeForce 820M
 		103c 18ef  GeForce GT 630M
@@ -9708,6 +9759,8 @@
 		103c 18fb  GeForce GT 630M
 		103c 18fd  GeForce GT 630M
 		103c 18ff  GeForce GT 630M
+		103c 2335  GeForce 820M
+		103c 2337  GeForce 820M
 		103c 2aef  GeForce GT 720A
 		103c 2af9  GeForce 710A
 		1043 10dd  NVS 5200M
@@ -9741,7 +9794,26 @@
 		1043 224a  GeForce GT 710M
 		1043 227a  GeForce 820M
 		1043 228a  GeForce 820M
+		1043 232a  GeForce 820M
+		1043 233a  GeForce 820M
+		1043 236a  GeForce 820M
+		1043 238a  GeForce 820M
 		1043 8595  GeForce GT 720M
+		1043 85ea  GeForce GT 720M
+		1043 85eb  GeForce 820M
+		1043 85ec  GeForce 820M
+		1043 85ee  GeForce GT 720M
+		1043 85f3  GeForce 820M
+		1043 860e  GeForce 820M
+		1043 861a  GeForce 820M
+		1043 861b  GeForce 820M
+		1043 8628  GeForce 820M
+		1043 8643  GeForce 820M
+		1043 864c  GeForce 820M
+		1043 8652  GeForce 820M
+		105b 0dac  GeForce GT 720M
+		105b 0dad  GeForce GT 720M
+		105b 0ef3  GeForce GT 720M
 		1072 152d  GeForce GT 720M
 		10cf 17f5  GeForce GT 720M
 		1179 fa01  GeForce 710M
@@ -9774,10 +9846,14 @@
 		144d c0e2  NVS 5200M
 		144d c0e3  NVS 5200M
 		144d c0e4  NVS 5200M
+		144d c10d  GeForce 820M
 		144d c652  GeForce GT 620M
 		144d c709  GeForce 710M
 		144d c711  GeForce 710M
 		144d c736  GeForce 710M
+		144d c737  GeForce 710M
+		144d c745  GeForce 820M
+		144d c750  GeForce 820M
 		1462 10b8  GeForce GT 710M
 		1462 10e9  GeForce GT 720M
 		1462 1116  GeForce 820M
@@ -9784,7 +9860,13 @@
 		1462 aa33  GeForce 720M
 		1462 aaa2  GeForce GT 720M
 		1462 aaa3  GeForce 820M
+		1462 acb2  GeForce GT 720M
+		1462 acc1  GeForce GT 720M
+		1462 ae61  GeForce 720M
+		1462 ae65  GeForce GT 720M
+		1462 ae6a  GeForce 820M
 		1462 ae71  GeForce GT 720M
+		14c0 0083  GeForce 820M
 		152d 0926  GeForce 620M
 		152d 0982  GeForce GT 630M
 		152d 0983  GeForce GT 630M
@@ -9796,14 +9878,19 @@
 		152d 1067  GeForce GT 720M
 		152d 1072  GeForce GT 720M
 		152d 1086  GeForce 820M
+		152d 1092  GeForce 820M
 		17aa 2200  NVS 5200M
 		17aa 2213  GeForce GT 720M
 		17aa 2220  GeForce GT 720M
 		17aa 309c  GeForce GT 720A
 		17aa 30b4  GeForce 820A
+		17aa 30b7  GeForce 720A
+		17aa 361b  GeForce 820A
+		17aa 361c  GeForce 820A
 		17aa 3656  GeForce GT 620M
 		17aa 365a  GeForce 705M
 		17aa 365e  GeForce 800M
+		17aa 3661  GeForce 820A
 		17aa 366c  GeForce 800M
 		17aa 3685  GeForce 800M
 		17aa 3686  GeForce 800M
@@ -9813,6 +9900,10 @@
 		17aa 369c  GeForce 820A
 		17aa 369d  GeForce 820A
 		17aa 369e  GeForce 820A
+		17aa 36a9  GeForce 820A
+		17aa 36af  GeForce 820A
+		17aa 36b0  GeForce 820A
+		17aa 36b6  GeForce 820A
 		17aa 3800  GeForce GT 720M
 		17aa 3801  GeForce GT 720M
 		17aa 3802  GeForce GT 720M
@@ -9828,13 +9919,18 @@
 		17aa 3813  GeForce 820M
 		17aa 3816  GeForce 820M
 		17aa 3818  GeForce 820M
+		17aa 381a  GeForce 820M
+		17aa 381c  GeForce 820M
 		17aa 3901  GeForce 610M / GT 620M
 		17aa 3902  GeForce 710M
 		17aa 3903  GeForce 610M/710M
 		17aa 3904  GeForce GT 620M/625M
 		17aa 3905  GeForce GT 720M
+		17aa 3907  GeForce 820M
 		17aa 3910  GeForce 720M
 		17aa 3912  GeForce 720M
+		17aa 3913  GeForce 820M
+		17aa 3915  GeForce 820M
 		17aa 3977  GeForce GT 720M
 		17aa 3983  GeForce 610M
 		17aa 5001  GeForce 610M
@@ -9866,7 +9962,10 @@
 		1854 0192  GeForce GT 720M
 		1b0a 20dd  GeForce GT 620M
 		1b0a 20df  GeForce GT 620M
+		1b0a 210e  GeForce 820M
 		1b0a 2202  GeForce GT 720M
+		1b0a 90d7  GeForce 820M
+		1b0a 90dd  GeForce 820M
 	1180  GK104 [GeForce GTX 680]
 		1043 83f1  GTX680-DC2-2GD5
 		3842 3682  GeForce GTX 680 Mac Edition
@@ -9937,6 +10036,7 @@
 	11e2  GK106M [GeForce GTX 765M]
 	11e3  GK106M [GeForce GTX 760M]
 		17aa 3683  GeForce GTX 760A
+	11e7  GK106M
 	11fa  GK106GL [Quadro K4000]
 	11fc  GK106GLM [Quadro K2100M]
 	1200  GF114 [GeForce GTX 560 Ti]
@@ -9998,18 +10098,22 @@
 	1291  GK208M [GeForce GT 735M]
 	1292  GK208M [GeForce GT 740M]
 		17aa 3675  GeForce GT 740A
+		17aa 367c  GeForce GT 740A
 		17aa 3684  GeForce GT 740A
 	1293  GK208M [GeForce GT 730M]
 	1294  GK208M [GeForce GT 740M]
 	1295  GK208M [GeForce 710M]
-		103c 2b0d  GeForce GT 710A
-		103c 2b0f  GeForce GT 710A
-		103c 2b11  GeForce GT 710A
+		103c 2b0d  GeForce 710A
+		103c 2b0f  GeForce 710A
+		103c 2b11  GeForce 710A
 		103c 2b20  GeForce 810A
-		103c 2b21  GeForce GT 810A
-		103c 2b22  GeForce GT 810A
+		103c 2b21  GeForce 810A
+		103c 2b22  GeForce 810A
+		17aa 367a  GeForce 805A
+		17aa 367c  GeForce 710A
 	1296  GK208M [GeForce 825M]
 	1298  GK208M [GeForce GT 720M]
+	1299  GK208M [GeForce 920M]
 	12a0  GK208
 	12b9  GK208GLM [Quadro K610M]
 	12ba  GK208GLM [Quadro K510M]
@@ -10019,10 +10123,12 @@
 		17aa 3697  GeForce 840A
 		17aa 3699  GeForce 840A
 		17aa 369c  GeForce 840A
+	1346  GM108M [GeForce 930M]
+	1347  GM108M [GeForce 940M]
 	1380  GM107 [GeForce GTX 750 Ti]
 	1381  GM107 [GeForce GTX 750]
 	1382  GM107 [GeForce GTX 745]
-	1389  GM107GL [GRID M3]
+	1389  GM107GL [GRID M30]
 	1390  GM107M [GeForce 845M]
 	1391  GM107M [GeForce GTX 850M]
 		17aa 3697  GeForce GTX 850A
@@ -10029,10 +10135,16 @@
 		17aa a125  GeForce GTX 850A
 	1392  GM107M [GeForce GTX 860M]
 	1393  GM107M [GeForce 840M]
+	1398  GM107M [GeForce 845M]
+	139a  GM107M [GeForce GTX 950M]
+	139b  GM107M [GeForce GTX 960M]
+	139c  GM107M [GeForce 940M]
+	13b0  GM107GLM [N16P-Q3]
 	13b3  GM107GLM [Quadro K2200M]
 	13ba  GM107GL [Quadro K2200]
 	13bb  GM107GL [Quadro K620]
-	13bd  GM107GL [Tesla M40]
+	13bc  GM107GL [Quadro K1200]
+	13bd  GM107GL [GRID M40]
 	13c0  GM204 [GeForce GTX 980]
 		1043 8504  GTX980-4GD5
 	13c1  GM204
@@ -10041,6 +10153,8 @@
 	13d7  GM204M [GeForce GTX 980M]
 	13d8  GM204M [GeForce GTX 970M]
 	13d9  GM204M [GeForce GTX 965M]
+	1401  GM206 [GeForce GTX 960]
+	17c2  GM200 [GeForce GTX TITAN X]
 	17f0  GM200GL [Quadro M6000]
 10df  Emulex Corporation
 	0720  OneConnect NIC (Skyhawk)
@@ -10047,6 +10161,7 @@
 		17aa 1056  ThinkServer OCm14102-UX-L AnyFabric
 		17aa 1057  ThinkServer OCm14104-UX-L AnyFabric
 		17aa 1059  ThinkServer OCm14104-UT-L AnyFabric
+		17aa 4014  ThinkServer OCm14102-NX-L AnyFabric
 	0722  OneConnect iSCSI Initiator (Skyhawk)
 	0723  OneConnect iSCSI Initiator + Target (Skyhawk)
 	0724  OneConnect FCoE Initiator (Skyhawk)
@@ -10198,6 +10313,8 @@
 	5249  RTS5249 PCI Express Card Reader
 		103c 1909  ZBook 15
 	5288  RTS5288 PCI Express Card Reader
+	5289  RTL8411 PCI Express Card Reader
+		1043 1457  K55A Laptop
 	8029  RTL-8029(AS)
 		10b8 2011  EZ-Card (SMC1208)
 		10ec 8029  RTL-8029(AS)
@@ -10293,6 +10410,7 @@
 		1462 7522  X58 Pro-E
 		1775 11cc  CC11/CL11
 		1849 8168  Motherboard (one of many)
+		7470 3468  TG-3468 Gigabit PCI Express Network Adapter
 		8086 d615  Desktop Board D510MO/D525MW
 	8169  RTL8169 PCI Gigabit Ethernet Controller
 		1025 0079  Aspire 5024WLMi
@@ -10469,7 +10587,7 @@
 	7005  SB Audigy LS Game Port
 		1102 1001  SB0310 Audigy LS MIDI/Game port
 		1102 1002  SB0312 Audigy LS MIDI/Game port
-	7006  [SB X-Fi Xtreme Audio] CA0110-IBG PCI to PCIe Bridge
+	7006  [SB X-Fi Xtreme Audio] CA0110-IBG PCIe to PCI Bridge
 	8938  Ectiva EV1938
 		1033 80e5  SlimTower-Jim (NEC)
 		1071 7150  Mitac 7150
@@ -10639,6 +10757,12 @@
 		1458 0691  VT82C691 Apollo Pro System Controller
 	0693  VT82C693 [Apollo Pro Plus]
 	0698  VT82C693A [Apollo Pro133 AGP]
+	0709  VX11 Standard Host Bridge
+	070a  VX11 PCI Express Root Port
+	070b  VX11 PCI Express Root Port
+	070c  VX11 PCI Express Root Port
+	070d  VX11 PCI Express Root Port
+	070e  VX11 PCI Express Root Port
 	0926  VT82C926 [Amazon]
 	1000  VT82C570MV
 	1106  VT82C570MV
@@ -10727,7 +10851,7 @@
 		1025 005a  TravelMate 290
 		103c 2a20  Pavilion t3030.de Desktop PC
 		103c 2a3b  Media Center PC m7590n
-		1043 808a  A8V/A8N/P4P800 series motherboard
+		1043 808a  A8V/A8N/P4P800/P5SD2 series motherboard
 		1043 81fe  Motherboard
 		1458 1000  GA-7VT600-1394 Motherboard
 		1462 207d  K8NGM2 series motherboard
@@ -10894,6 +11018,14 @@
 		1458 5000  GA-7VAX Mainboard
 # probably all K7VT2/4*/6
 		1849 3189  K7VT series Motherboards
+	31b0  VX11 Standard Host Bridge
+	31b1  VX11 Standard Host Bridge
+	31b2  VX11 DRAM Controller
+	31b3  VX11 Power Management Controller
+	31b4  VX11 I/O APIC
+	31b5  VX11 Scratch Device
+	31b7  VX11 Standard Host Bridge
+	31b8  VX11 PCI to PCI Bridge
 	3204  K8M800 Host Bridge
 	3205  VT8378 [KM400/A] Chipset Host Bridge
 		1458 5000  GA-7VM400M Motherboard
@@ -10946,6 +11078,9 @@
 	3410  VX900 DRAM Bus Control
 		19da a179  ZBOX nano VD01
 	3432  VL80x xHCI USB 3.0 Controller
+	3456  VX11 Standard Host Bridge
+	345b  VX11 Miscellaneous Bus
+	3a01  VX11 Graphics [Chrome 645/640]
 	4149  VIA VT6420 (ATA133) Controller
 	4204  K8M800 Host Bridge
 	4208  PT890 Host Bridge
@@ -11046,6 +11181,9 @@
 	8d01  PN133/PN133T [S3 Twister]
 	8d04  KM266/P4M266/P4M266A/P4N266 [S3 ProSavageDDR]
 	9001  VX900 Serial ATA Controller
+	9082  Standard AHCI 1.0 SATA Controller
+	9140  HDMI Audio Device
+	9201  USB3.0 Controller
 	9530  Secure Digital Memory Card Controller
 	95d0  SDIO Host Controller
 	a208  PT890 PCI to PCI Bridge Controller
@@ -11339,6 +11477,8 @@
 		1093 75ff  PXIe-8383mc DMA
 		1093 7600  PXIe-8383mc DMA
 		1093 7602  PXIe-8384
+# 32 port / 8 lane PCIe Gen 2 packet switch
+	808f  PES32NT8AG2
 111e  Eldec
 111f  Precision Digital Images
 	4a47  Precision MX Video engine interface
@@ -11596,6 +11736,8 @@
 		0070 8993  WinTV HVR-2200
 		0070 89a0  WinTV HVR-2200
 		0070 89a1  WinTV HVR-2200
+		0070 f120  WinTV HVR-2205
+		0070 f123  WinTV HVR-2215
 	7231  SAA7231
 		5ace 8000  Behold TV H8
 		5ace 8001  Behold TV H8
@@ -13363,6 +13505,12 @@
 		14fe 0429  ES56-PI Data Fax Modem
 125e  Specialvideo Engineering SRL
 125f  Concurrent Technologies, Inc.
+# 4 x serial ports, 2 x printer ports
+	2071  CC PMC/232
+# 4 x serial ports, 2 x printer ports
+	2084  CC PMC/23P
+# 4 x serial ports, RS422
+	2091  CC PMC/422
 1260  Intersil Corporation
 	3872  ISL3872 [Prism 3]
 		1468 0202  LAN-Express IEEE 802.11b Wireless LAN
@@ -14447,13 +14595,34 @@
 1396  Cipher Systems Inc
 1397  Cologne Chip Designs GmbH
 	08b4  ISDN network Controller [HFC-4S]
+		1397 08b4  HFC-4S [Cologne Chip HFC-4S Eval. Board]
+		1397 b51a  HFC-4S [Allo.com BRI card]
 		1397 b520  HFC-4S [IOB4ST]
-		1397 b540  HFC-4S [Swyx 4xS0 SX2 QuadBri]
-		1397 b550  HFC-4S [Junghanns quadBRI]
-		1397 b556  HFC-4S [Junghanns DuoDBRI]
+		1397 b540  HFC-4S [Swyx SX2 QuadBri]
+		1397 b550  HFC-4S [Junghanns.NET quadBRI]
+		1397 b556  HFC-4S [Junghanns.NET duoBRI]
+		1397 b559  HFC-4S [Junghanns.NET duoBRI miniPCI]
+		1397 b560  HFC-4S [BeroNet BN4S0]
+		1397 b566  HFC-4S [BeroNet BN2S0]
+		1397 b567  HFC-4S [BeroNet BN1S0 miniPCI]
+		1397 b568  HFC-4S [BeroNet BN4S0 miniPCI]
+		1397 b569  HFC-4S [BeroNet BN2S0 miniPCI]
+		1397 b620  HFC-4S
+		1397 b752  HFC-4S [Junghanns.NET quadBRI PCIe]
+		1397 b761  HFC-4S [BeroNet BN2S0 PCIe]
+		1397 b762  HFC-4S [BeroNet BN4S0 PCIe]
+		1397 e884  HFC-4S [OpenVox B200P]
 		1397 e888  HFC-4S [OpenVox B200P / B400P]
 	16b8  ISDN network Controller [HFC-8S]
-		1397 b562  HFC-8S [IOB8ST]
+		1397 16b8  HFC-8S [Cologne Chip HFC-8S Eval. Board]
+		1397 b521  HFC-8S [IOB4ST Recording]
+		1397 b522  HFC-8S [IOB8ST]
+		1397 b552  HFC-8S [Junghanns.NET octoBRI]
+		1397 b55b  HFC-8S [Junghanns.NET octoBRI]
+		1397 b562  HFC-8S [BeroNet BN8S0]
+		1397 b56b  HFC-8S [BeroNet BN8S0+]
+		1397 b622  HFC-8S
+		1397 e998  HFC-8S [OpenVox B800P]
 	2bd0  ISDN network controller [HFC-PCI]
 		0675 1704  ISDN Adapter (PCI Bus, D, C)
 		0675 1708  ISDN Adapter (PCI Bus, D, C, ACPI)
@@ -14460,6 +14629,18 @@
 		1397 2bd0  ISDN Board
 		e4bf 1000  CI1-1-Harp
 	30b1  ISDN network Controller [HFC-E1]
+		1397 30b1  HFC-E1 [Cologne Chip HFC-E1 Eval. Board]
+		1397 b523  HFC-E1 [IOB1E1]
+		1397 b543  HFC-E1 [Swyx SX2 SinglePRI V2]
+		1397 b544  HFC-E1 [Swyx SX2 DualPRI V2]
+		1397 b553  HFC-E1 [Junghanns.NET singleE1]
+		1397 b554  HFC-E1 [Junghanns.NET doubleE1]
+		1397 b555  HFC-E1 [Junghanns.NET doubleE1 2.0]
+		1397 b55a  HFC-E1 [Junghanns.NET singleE1 miniPCI]
+		1397 b563  HFC-E1 [beroNet BN1E1]
+		1397 b564  HFC-E1 [beroNet BN2E1]
+		1397 b565  HFC-E1 [beroNet BN2E1+]
+		1397 b56a  HFC-E1 [beroNet BN1E1 miniPCI]
 	b700  ISDN network controller PrimuX S0 [HFC-PCI]
 	f001  GSM Network Controller [HFC-4GSM]
 1398  Clarion co. Ltd
@@ -15142,6 +15323,7 @@
 	5087  T580-5087 Unified Wire Ethernet Controller
 	5088  T570-5088 Unified Wire Ethernet Controller
 	5089  T520-5089 Unified Wire Ethernet Controller
+	5090  T540-5090 Unified Wire Ethernet Controller
 	5401  T520-CR Unified Wire Ethernet Controller
 	5402  T522-CR Unified Wire Ethernet Controller
 	5403  T540-CR Unified Wire Ethernet Controller
@@ -15173,6 +15355,7 @@
 	5487  T580-5087 Unified Wire Ethernet Controller
 	5488  T570-5088 Unified Wire Ethernet Controller
 	5489  T520-5089 Unified Wire Ethernet Controller
+	5490  T540-5090 Unified Wire Ethernet Controller
 	5501  T520-CR Unified Wire Storage Controller
 	5502  T522-CR Unified Wire Storage Controller
 	5503  T540-CR Unified Wire Storage Controller
@@ -15204,6 +15387,7 @@
 	5587  T580-5087 Unified Wire Storage Controller
 	5588  T570-5088 Unified Wire Storage Controller
 	5589  T520-5089 Unified Wire Storage Controller
+	5590  T540-5090 Unified Wire Storage Controller
 	5601  T520-CR Unified Wire Storage Controller
 	5602  T522-CR Unified Wire Storage Controller
 	5603  T540-CR Unified Wire Storage Controller
@@ -15235,6 +15419,7 @@
 	5687  T580-5087 Unified Wire Storage Controller
 	5688  T570-5088 Unified Wire Storage Controller
 	5689  T520-5089 Unified Wire Storage Controller
+	5690  T540-5090 Unified Wire Storage Controller
 	5701  T520-CR Unified Wire Ethernet Controller
 	5702  T522-CR Unified Wire Ethernet Controller
 	5703  T540-CR Unified Wire Ethernet Controller
@@ -15266,6 +15451,7 @@
 	5787  T580-5087 Unified Wire Ethernet Controller
 	5788  T570-5088 Unified Wire Ethernet Controller
 	5789  T520-5089 Unified Wire Ethernet Controller
+	5790  T540-5090 Unified Wire Ethernet Controller
 	5801  T520-CR Unified Wire Ethernet Controller [VF]
 	5802  T522-CR Unified Wire Ethernet Controller [VF]
 	5803  T540-CR Unified Wire Ethernet Controller [VF]
@@ -15297,6 +15483,7 @@
 	5887  T580-5087 Unified Wire Ethernet Controller [VF]
 	5888  T570-5088 Unified Wire Ethernet Controller [VF]
 	5889  T520-5089 Unified Wire Ethernet Controller [VF]
+	5890  T540-5090 Unified Wire Ethernet Controller [VF]
 	a000  PE10K Unified Wire Ethernet Controller
 1426  Storage Technology Corp.
 1427  Better On-Line Solutions
@@ -15629,6 +15816,7 @@
 	080f  Sentry5 DDR/SDR RAM Controller
 	0811  Sentry5 External Interface Core
 	0816  BCM3302 Sentry5 MIPS32 CPU
+	1570  720p FaceTime HD Camera
 	1600  NetXtreme BCM5752 Gigabit Ethernet PCI Express
 		1028 01c1  Precision 490
 		1028 01c2  Latitude D620
@@ -16727,6 +16915,7 @@
 1541  MACHONE Communications
 1542  Concurrent Computer Corporation
 	9260  RCIM-II Real-Time Clock & Interrupt Module
+	9271  RCIM-III Real-Time Clock & Interrupt Module (PCIe)
 	9272  Pulse Width Modulator Card
 	9277  5 Volt Delta Sigma Converter Card
 	9278  10 Volt Delta Sigma Converter Card
@@ -16903,6 +17092,7 @@
 	01f6  MT27500 Family [ConnectX-3 Flash Recovery]
 	01ff  MT27600 Family [Connect-IB Flash Recovery]
 	0209  MT27700 Family [ConnectX-4 Flash Recovery]
+	020b  MT27710 Family [ConnectX-4 Lx Flash Recovery]
 	1002  MT25400 Family [ConnectX-2 Virtual Function]
 	1003  MT27500 Family [ConnectX-3]
 		103c 1777  InfiniBand FDR/EN 10/40Gb Dual Port 544FLR-QSFP Adapter (Rev Cx)
@@ -16924,8 +17114,8 @@
 	1012  MT27600 Family [Connect-IB Virtual Function]
 	1013  MT27700 Family [ConnectX-4]
 	1014  MT27700 Family [ConnectX-4 Virtual Function]
-	1015  MT27630 Family
-	1016  MT27631 Family
+	1015  MT27710 Family [ConnectX-4 Lx]
+	1016  MT27710 Family [ConnectX-4 Lx Virtual Function]
 	1017  MT27640 Family
 	1018  MT27641 Family
 	5274  MT21108 InfiniBridge
@@ -17407,9 +17597,9 @@
 	0037  AR9485 Wireless Network Adapter
 # Also used as Gigabyte GC-WB150 on a PCIe-to-mini-PCIe converter
 		1a3b 2100  AW-NB100H 802.11n Wireless Mini PCIe Card
-	003c  QCA988x 802.11ac Wireless Network Adapter
-# all QCA6174 devices?
-	003e  Killer N1525 Wireless-AC
+	003c  QCA986x/988x 802.11ac Wireless Network Adapter
+	003e  QCA6174 802.11ac Wireless Network Adapter
+		1a56 1525  Killer N1525 Wireless-AC
 	0207  AR5210 Wireless Network Adapter [AR5000 802.11a]
 	1014  AR5212 802.11abg NIC
 		1014 058a  ThinkPad 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6)
@@ -17517,6 +17707,12 @@
 	6302  XMC Module with user-configurable Virtex-6 FPGA, 365k logic cells, SFP front I/O
 	6303  XMC Module with user-configurable Virtex-6 FPGA, 240k logic cells, no front I/O
 	6304  XMC Module with user-configurable Virtex-6 FPGA, 365k logic cells, no front I/O
+	7000  XMC-7K325F: User-configurable Kintex-7 FPGA, 325k logic cells plus SFP front I/O
+	7001  XMC-7K410F: User-configurable Kintex-7 FPGA, 410k logic cells plus SFP front I/O
+	7002  XMC-7K325AX: User-Configurable Kintex-7 FPGA, 325k logic cells with AXM Plug-In I/O
+	7003  XMC-7K410AX: User-Configurable Kintex-7 FPGA, 410k logic cells with AXM Plug-In I/O
+	7004  XMC-7K325CC: User-Configurable Kintex-7 FPGA, 325k logic cells, conduction-cooled
+	7005  XMC-7K410CC: User-Configurable Kintex-7 FPGA, 410k logic cells, conduction-cooled
 16da  Advantech Co., Ltd.
 	0011  INES GPIB-PCI
 16df  PIKA Technologies Inc.
@@ -17672,6 +17868,7 @@
 	0010  PCIe Counter Timer
 	0011  SIS1100-e single link
 	0012  SIS1100-e quad link
+	0015  SIS8100 [Gigabit link, MicroTCA]
 1797  Techwell Inc.
 	6801  TW6802 multimedia video card
 	6802  TW6802 multimedia other device
@@ -18234,6 +18431,8 @@
 		1924 8007  SFN7322F-R2 Precision Time SFP+ Server Adapter
 		1924 8009  SFN7x22F-R2 Flareon Ultra 7000 Series 10G Adapter
 		1924 800a  SFN7x02F-R2 Flareon 7000 Series 10G Adapter
+		1924 800b  SFN7x22F-R3 Flareon Ultra 7000 Series 10G Adapter
+		1924 800c  SFN7x02F-R3 Flareon 7000 Series 10G Adapter
 	0923  SFC9140
 		1924 800b  SFN7x42Q-R1 Flareon Ultra 7000 Series 10/40G Adapter
 	1803  SFC9020 Virtual Function [Solarstorm]
@@ -18366,6 +18565,8 @@
 	7018  MPC8610
 	c006  MPC8308
 		1a56 1201  Killer E2100 Gigabit Ethernet Controller
+# PCIe interface for emulator
+	fc02  RedStone
 1958  Faster Technology, LLC.
 1959  PA Semi, Inc
 	a000  PA6T Core
@@ -18784,6 +18985,17 @@
 1bb0  SimpliVity Corporation
 	0002  OmniCube Accelerator OA-3000
 	0010  OmniCube Accelerator OA-3000-2
+1bb1  Seagate Technology PLC
+	005d  Nytro PCIe Flash Storage
+		1bb1 6501  Nytro XP6500-8A1536 1.5TB
+# 2TB Nytro PCIe controller
+		1bb1 6502  Nytro XP6500-8A2048
+# 4TB Nytro PCIe controller
+		1bb1 6503  Nytro XP6500-8A4096
+# 2GB DRAM variant of Nytro card
+		1bb1 6511  Nytro XH6550-2GB DRAM
+# 8GB variant of Nytro PCIe controller
+		1bb1 6512  Nytro XH6550-8GB DRAM
 1bb3  Bluecherry
 	4304  BC-04120A MPEG4 4 port video encoder / decoder
 	4309  BC-08240A MPEG4 4 port video encoder / decoder
@@ -18843,6 +19055,9 @@
 1cf7  Subspace Dynamics
 # CEM Solutions Pvt. Ltd.
 1d21  Allo
+1d26  Kalray Inc.
+	0040  Turbocard2 Accelerator
+	e004  AB01/EMB01 Development Board
 1d44  DPT
 	a400  PM2x24/PM3224
 1d5c  Fantasia Trading LLC
@@ -18946,6 +19161,10 @@
 3513  ARCOM Control Systems Ltd
 37d9  ITD Firm ltd.
 	1138  SCHD-PH-8 Phase detector
+# 12-ch Relay Actuator Card
+	1140  VR-12-PCI
+# multiport serial board
+	1141  PCI-485(422)
 3842  eVga.com. Corp.
 38ef  4Links
 3d3d  3DLabs
@@ -19442,6 +19661,7 @@
 7284  HT OMEGA Inc.
 7401  EndRun Technologies
 	e100  PTP3100 PCIe PTP Slave Clock
+7470  TP-LINK Technologies Co., Ltd.
 7604  O.N. Electronic Co Ltd.
 7bde  MIDAC Corporation
 7fed  PowerTV
@@ -19619,9 +19839,9 @@
 	0336  80331 [Lindsay] I/O processor (ATU)
 	0340  41210 [Lanai] Serial to Parallel PCI Bridge (A-Segment Bridge)
 	0341  41210 [Lanai] Serial to Parallel PCI Bridge (B-Segment Bridge)
-	0370  80333 Segment-A PCI Express-to-PCI Express Bridge
+	0370  80333 Segment-A PCIe Express to PCI-X bridge
 	0371  80333 A-Bus IOAPIC
-	0372  80333 Segment-B PCI Express-to-PCI Express Bridge
+	0372  80333 Segment-B PCIe Express to PCI-X bridge
 	0373  80333 B-Bus IOAPIC
 	0374  80333 Address Translation Unit
 	0402  Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller
@@ -20050,6 +20270,7 @@
 	0a22  Haswell-ULT Integrated Graphics Controller
 	0a26  Haswell-ULT Integrated Graphics Controller
 	0a2a  Haswell-ULT Integrated Graphics Controller
+	0a2e  Haswell-ULT Integrated Graphics Controller
 	0be0  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
 	0be1  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
 		105b 0d7c  D270S/D250S Motherboard
@@ -20270,11 +20491,16 @@
 	0f0a  Atom Processor Z36xxx/Z37xxx Series LPIO1 HSUART Controller #1
 	0f0c  Atom Processor Z36xxx/Z37xxx Series LPIO1 HSUART Controller #2
 	0f0e  Atom Processor Z36xxx/Z37xxx Series LPIO1 SPI Controller
+	0f12  Atom Processor E3800 Series SMBus Controller
 	0f14  Atom Processor Z36xxx/Z37xxx Series SDIO Controller
 	0f15  Atom Processor Z36xxx/Z37xxx Series SDIO Controller
 	0f16  Atom Processor Z36xxx/Z37xxx Series SDIO Controller
 	0f18  Atom Processor Z36xxx/Z37xxx Series Trusted Execution Engine
 	0f1c  Atom Processor Z36xxx/Z37xxx Series Power Control Unit
+	0f20  Atom Processor E3800 Series SATA IDE Controller
+	0f21  Atom Processor E3800 Series SATA IDE Controller
+	0f22  Atom Processor E3800 Series SATA AHCI Controller
+	0f23  Atom Processor E3800 Series SATA AHCI Controller
 	0f28  Atom Processor Z36xxx/Z37xxx Series LPE Audio Controller
 	0f31  Atom Processor Z36xxx/Z37xxx Series Graphics & Display
 	0f34  Atom Processor Z36xxx/Z37xxx Series USB EHCI
@@ -20289,6 +20515,11 @@
 	0f45  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #5
 	0f46  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #6
 	0f47  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #7
+	0f48  Atom Processor E3800 Series PCI Express Root Port 1
+	0f4a  Atom Processor E3800 Series PCI Express Root Port 2
+	0f4c  Atom Processor E3800 Series PCI Express Root Port 3
+	0f4e  Atom Processor E3800 Series PCI Express Root Port 4
+	0f50  Atom Processor E3800 Series eMMC 4.5 Controller
 	1000  82542 Gigabit Ethernet Controller (Fiber)
 		0e11 b0df  NC6132 Gigabit Ethernet Adapter (1000-SX)
 		0e11 b0e0  NC6133 Gigabit Ethernet Adapter (1000-LX)
@@ -21032,6 +21263,7 @@
 		103c 337f  Ethernet 1Gb 2-port 361i Adapter
 		103c 3380  Ethernet 1Gb 4-port 366i Adapter
 		103c 339e  Ethernet 1Gb 2-port 361T Adapter
+		103c 8157  Ethernet 1Gb 4-port 366T Adapter
 		108e 7b16  Quad Port GbE PCIe 2.0 ExpressModule, UTP
 		108e 7b18  Quad Port GbE PCIe 2.0 Low Profile Adapter, UTP
 		1093 7648  PCIe-8237R Ethernet Adapter
@@ -21133,6 +21365,8 @@
 	1571  XL710/X710 Virtual Function
 	1572  Ethernet Controller X710 for 10GbE SFP+
 		1028 1f99  Ethernet 10G 4P X710/I350 rNDC
+		1137 0000  Ethernet Converged NIC X710-4
+		1137 013b  Ethernet Converged NIC X710-4
 		17aa 0000  ThinkServer XL710 AnyFabric
 		17aa 4001  ThinkServer XL710-4 AnyFabric
 		8086 0000  Ethernet Converged Network Adapter X710
@@ -21149,6 +21383,10 @@
 	1581  Ethernet Controller X710 for 10GbE backplane
 		1028 1f98  Ethernet 10G 4P X710-k bNDC
 	1583  Ethernet Controller XL710 for 40GbE QSFP+
+		108e 0000  Oracle 10 Gb and 40 Gb Ethernet Adapter
+		108e 7b1b  Oracle 10 Gb and 40 Gb Ethernet Adapter
+		1137 0000  Ethernet Converged NIC XL710-Q2
+		1137 013c  Ethernet Converged NIC XL710-Q2
 		8086 0000  Ethernet Converged Network Adapter XL710-Q2
 		8086 0001  Ethernet Converged Network Adapter XL710-Q2
 		8086 0002  Ethernet Converged Network Adapter XL710-Q2
@@ -21158,11 +21396,19 @@
 		8086 0001  Ethernet Converged Network Adapter XL710-Q1
 		8086 0002  Ethernet Converged Network Adapter XL710-Q1
 		8086 0003  Ethernet I/O Module XL710-Q1
-	1585  Ethernet Controller XL710 for 10GbE QSFP+
+	1585  Ethernet Controller X710 for 10GbE QSFP+
+	1586  Ethernet Controller X710 for 10GBASE-T
+		108e 0000  Ethernet Controller X710 for 10GBASE-T
+		108e 4857  Ethernet Controller X710 for 10GBASE-T
 	15a0  Ethernet Connection (2) I218-LM
 	15a1  Ethernet Connection (2) I218-V
 	15a2  Ethernet Connection (3) I218-LM
 	15a3  Ethernet Connection (3) I218-V
+	15a8  Ethernet Connection X552 Virtual Function
+	15aa  Ethernet Connection X552 10 GbE Backplane
+	15ab  Ethernet Connection X552 10 GbE Backplane
+	15ac  Ethernet Connection X552 10 GbE SFP+
+	15ad  Ethernet Connection X552/X557-AT 10GBASE-T
 	15b7  Ethernet Connection (2) I219-LM
 	15b8  Ethernet Connection (2) I219-V
 	1600  Broadwell-U Host Bridge -OPI
@@ -23862,9 +24108,9 @@
 	2cf3  Xeon C5500/C3500 Integrated Memory Controller Channel 2 Thermal Control
 	2d01  Core Processor QuickPath Architecture System Address Decoder
 	2d10  Core Processor QPI Link 0
-	2d11  1st Generation Core Processor QPI Physical 0
-	2d12  1st Generation Core Processor Reserved
-	2d13  1st Generation Core Processor Reserved
+	2d11  1st Generation Core i3/5/7 Processor QPI Physical 0
+	2d12  1st Generation Core i3/5/7 Processor Reserved
+	2d13  1st Generation Core i3/5/7 Processor Reserved
 	2d81  Xeon 5600 Series QuickPath Architecture System Address Decoder
 	2d90  Xeon 5600 Series QPI Link 0
 	2d91  Xeon 5600 Series QPI Physical 0
@@ -26082,6 +26328,9 @@
 919a  Gigapixel Corp
 9412  Holtek
 	6565  6565
+9413  Softlogic Co., Ltd.
+	6010  SOLO6010 MPEG-4 Video encoder/decoder
+	6110  SOLO6110 H.264 Video encoder/decoder
 9618  JusonTech Corporation
 	0001  JusonTech Gigabit Ethernet Controller
 9699  Omni Media Technology Inc
@@ -26284,9 +26533,14 @@
 		dd01 0021  Cine S2 V6.5 DVB adapter
 		dd01 0030  Cine CT V6.1 DVB adapter
 		dd01 db03  Mystique SaTiX-S2 V3 DVB adapter
+	0006  Cine V7
+	0007  Max
+		dd01 0023  Max S8 4/8
 	0011  Octopus CI DVB Adapter
 		dd01 0040  Octopus CI
 		dd01 0041  Octopus CI Single
+	0201  Resi DVB-C Modulator
+		dd01 0001  Resi DVB-C Modulator
 dead  Indigita Corporation
 deaf  Middle Digital Inc.
 	9050  PC Weasel Virtual VGA
--- old/usr/src/cmd/hwdata/usb.ids	Wed Mar 18 19:29:24 2015
+++ new/usr/src/cmd/hwdata/usb.ids	Wed Mar 18 19:29:24 2015
@@ -9,8 +9,8 @@
 #	The latest version can be obtained from
 #		http://www.linux-usb.org/usb.ids
 #
-# Version: 2015.01.07
-# Date:    2015-01-07 12:51:50
+# Version: 2015.03.17
+# Date:    2015-03-17 20:34:06
 #
 
 # Vendors, devices and interfaces. Please keep sorted.
@@ -21,7 +21,6 @@
 #		interface  interface_name		<-- two tabs
 
 0001  Fry's Electronics
-	142b  Arbiter Systems, Inc.
 	7778  Counterfeit flash drive [Kingston]
 0002  Ingram
 0003  Club Mac
@@ -188,6 +187,7 @@
 	0212  DeskJet 1220C
 	0217  LaserJet 2200
 	0218  APOLLO P2500/2600
+	022a  Laserjet CP1525nw
 	0241  Link-5 micro dongle
 	0304  DeskJet 810c/812c
 	0305  ScanJet 4300c
@@ -460,7 +460,7 @@
 	3f02  PhotoSmart 7550~
 	3f11  PSC-1315/PSC-1317
 	4002  PhotoSmart 635/715/720/735/935 (storage)
-	4004  cp1160
+	4004  CP1160
 	4102  PhotoSmart 618
 	4105  ScanJet 4370
 	4111  OfficeJet 7200 series
@@ -514,6 +514,7 @@
 	5912  Officejet Pro 8600
 	5a11  PhotoSmart C7100 series
 	5b11  OfficeJet J2100 series
+	5b12  Officejet Pro 8100
 	5c11  PhotoSmart C4200 Printer series
 	5c12  OfficeJet 6700
 	5c17  LaserJet P2055 series
@@ -712,6 +713,7 @@
 	0232  Serial Converter
 	1060  JTAG adapter
 	1234  IronLogic RFID Adapter [Z-2 USB]
+	1235  Iron Logic Z-397 RS-485/422 converter
 	6001  FT232 USB-Serial (UART) IC
 	6002  Lumel PD12
 	6007  Serial Converter
@@ -736,6 +738,7 @@
 	8b2a  Alpermann+Velte Rubidium Q1
 	8b2b  Alpermann+Velte TCD
 	8b2c  Alpermann+Velte TCC70
+	9090  SNAP Stick 200
 	9132  LCD and Temperature Interface
 	9133  CallerID
 	9135  Rotary Pub alarm
@@ -1124,6 +1127,7 @@
 	00db  External Hard Drive HD-PF32OU2 [Buffalo Ministation]
 	00e8  WLI-UC-G300N Wireless LAN Adapter [Ralink RT2870]
 	0105  External Hard Drive HD-CEU2 [Drive Station]
+	012c  SATA Bridge
 	012e  WLI-UC-AG300N Wireless LAN Adapter
 	0148  WLI-UC-G300HP Wireless LAN Adapter
 	0150  WLP-UC-AG300 Wireless LAN Adapter
@@ -1813,6 +1817,8 @@
 	6070  RNDIS/BeWAN ADSL2+
 	625f  TUSB6250 ATA Bridge
 	8042  Hub
+	8142  TUSB8041 4-Port Hub
+	926b  TUSB9260 Boot Loader
 	dbc0  Device Bay Controller
 	e001  GraphLink [SilverLink]
 	e003  TI-84 Plus Calculator
@@ -2475,6 +2481,7 @@
 	0a17  G330 Headset
 	0a1f  G930
 	0a29  H600 [Wireless Headset]
+	0a37  USB Headset H540
 	0a38  Headset H340
 	0a44  Wired headset
 	0a4d  G430 Surround Sound Gaming Headset
@@ -2556,7 +2563,7 @@
 	c11f  Harmony 900/1100 Remote
 	c121  Harmony One Remote
 	c122  Harmony 650/700 Remote
-	c124  Harmony 300 Remote
+	c124  Harmony 300/350 Remote
 	c125  Harmony 200 Remote
 	c126  Harmony Link
 	c129  Harmony Hub
@@ -2831,6 +2838,7 @@
 	20d0  SPZ2000 Webcam [PixArt PAC7332]
 	20e3  GoGear Raga
 	20e4  GoGear ViBE 8GB
+	2160  Mio LINK Heart Rate Monitor
 	262c  SPC230NC Webcam
 	485d  Senselock SenseIV v2.x
 	df55  LPCXpresso LPC-Link
@@ -3003,6 +3011,7 @@
 	2017  Biometric Smart Card Reader
 	2018  BioSimKey
 	2302  Portable Flash Device (PFD)
+	347b  ST-LINK/V2-1
 	3744  STLINK Pseudo disk
 	3747  ST Micro Connect Lite
 	3748  ST-LINK/V2
@@ -3035,6 +3044,7 @@
 	e00f  Foxconn T77H114 BCM2070 [Single-Chip Bluetooth 2.1 + EDR Adapter]
 	e016  Ubee PXU1900 WiMAX Adapter [Beceem BCSM250]
 	e02c  Atheros AR5BBU12 Bluetooth Device
+	e04d  Atheros AR3012 Bluetooth
 048a  S-MOS Systems, Inc.
 048c  Alps Electric Ireland, Ltd
 048d  Integrated Technology Express, Inc.
@@ -4446,6 +4456,7 @@
 	f437  SBE Tech Ultrasonic Anemometer
 	f4b5  SmartScope
 	f8da  Hughski Ltd. ColorHug
+	f8e8  Harmony 300/350 Remote
 	f91c  SPROG IIv3
 	faff  Dangerous Prototypes BusPirate v4 Bootloader mode
 	fb00  Dangerous Prototypes BusPirate v4
@@ -4464,6 +4475,7 @@
 	1503  Shortboard Lefty
 	1603  Keyboard
 	1702  Keyboard LKS02
+	2011  Keyboard [Diatec Filco Majestouch 1]
 	2013  Keyboard [Das Keyboard]
 	2221  Keyboard
 	2323  Keyboard
@@ -4812,7 +4824,7 @@
 	662e  MITs Sync
 	6630  MITs Sync
 	6632  MITs Sync
-	663e  D900e Phone
+	663e  D900e/B2100 Phone
 	663f  SGH-E720/SGH-E840
 	6640  Usb Modem Enumerator
 	6651  i8510 Innov8
@@ -4820,8 +4832,8 @@
 	6708  U600 Phone
 	6709  U600
 	6734  Juke
-	6759  D900e Media Player
-	675a  D900e Mass Storage
+	6759  D900e/B2100 Media Player
+	675a  D900e/B2100 Mass Storage
 	675b  D900e Camera
 	6772  Standalone LTE device (Trial)
 	6795  S5230
@@ -5738,6 +5750,7 @@
 	0485  MHS-PM5 HD camcorder
 	04cb  WALKMAN NWZ-E354
 	0541  DSC-HX100V [Cybershot Digital Still Camera]
+	05c4  DualShock 4
 	0689  Walkman NWZ-B173F
 	06bb  WALKMAN NWZ-F805
 	088c  Portable Headphone Amplifier
@@ -5977,11 +5990,13 @@
 	00de  CTH-470 [Bamboo Fun Pen & Touch]
 	00f6  Cintiq 24HD touch (DTH-2400) touchscreen
 	00f8  Cintiq 24HD touch (DTH-2400) tablet
+	0302  Intuos CTH480S2 [Manga]
 	0307  Cintiq Companion Hybrid 13HD (DTH-A1300) tablet
 	0309  Cintiq Companion Hybrid 13HD (DTH-A1300) touchscreen
 	030e  Intuos Pen Small (CTL480)
 	0400  PenPartner 4x5
 	4850  PenPartner 6x8
+	5010  Thinkpad T550 touchscreen
 056b  Decicon, Inc.
 056c  eTEK Labs
 	0006  KwikLink Host-Host Connector
@@ -6035,6 +6050,7 @@
 	c686  Geniatech T220A DVB-T2 TV Stick
 	c688  Geniatech T230 DVB-T2 TV Stick
 	cafc  CX861xx ROM Boot Loader
+	cafd  CX82310 ROM Boot Loader
 	cafe  AccessRunner ADSL Modem
 	cb00  ADSL Modem
 	cb01  ADSL Modem
@@ -6401,8 +6417,10 @@
 	000f  Digital Camera
 0586  ZyXEL Communications Corp.
 	0025  802.11b/g/n USB Wireless Network Adapter
-	0102  omni.net II ISDN TA
-	1000  Omni NET Modem / ISDN TA
+	0100  omni.net
+	0102  omni.net II ISDN TA [HFC-S]
+	0110  omni.net Plus
+	1000  omni.net LCD Plus - ISDN TA
 	1500  Omni 56K Plus
 	2011  Scorpion-980N keyboard
 	3304  LAN Modem
@@ -6639,6 +6657,7 @@
 	2800  SuperCAM
 	4519  Webcam Classic
 	7670  OV7670 Webcam
+	8065  GAIA Sensor FPGA Demo Board
 	8519  OV519 Webcam
 	a511  OV511+ Webcam
 	a518  D-Link DSB-C310 Webcam
@@ -6857,7 +6876,7 @@
 	1389  Bluetooth Wireless Adapter
 05b4  LG Semicon Co., Ltd
 	4857  M-Any DAH-210
-	6001  Digisette DUO-MP3 AR-100
+	6001  HYUNDAI GDS30C6001 SSFDC / MMC I/F Controller
 05b5  Dialogic Corp.
 05b6  Proxima Corp.
 05b7  Medianix Semiconductor, Inc.
@@ -6893,6 +6912,7 @@
 	9000  SIMCom SIM5218 modem
 	9001  Gobi Wireless Modem
 	9002  Gobi Wireless Modem
+	9003  Quectel UC20
 	9008  Gobi Wireless Modem (QDL mode)
 	9018  Qualcomm HSUSB Device
 	9025  Qualcomm HSUSB Device
@@ -7203,6 +7223,7 @@
 	a811  16GB Gizmo!
 	a813  16gB flash thumb drive
 	a815  JumpDrive V10
+	a833  JumpDrive S23 64GB
 	b002  USB CF Reader
 	b018  Multi-Card Reader
 	b047  SDHC Reader [RW047-7000]
@@ -7541,6 +7562,7 @@
 064c  Ji-Haw Industrial Co., Ltd
 064d  TriTech Microelectronics, Ltd
 064e  Suyin Corp.
+	2100  Sony Visual Communication Camera
 	a100  Acer OrbiCam
 	a101  Acer CrystalEye Webcam
 	a102  Acer/Lenovo Webcam [CN0316]
@@ -7551,6 +7573,7 @@
 	a136  Asus Integrated Webcam [CN031B]
 	a219  1.3M WebCam (notebook emachines E730, Acer sub-brand)
 	c107  HP webcam [dv6-1190en]
+	c335  HP TrueVision HD
 	d101  Acer CrystalEye Webcam
 	d217  HP TrueVision HD
 	e201  Lenovo Integrated Webcam
@@ -7744,8 +7767,8 @@
 	0110  Vigor 128 ISDN TA
 	0530  Vigor530 IEEE 802.11G Adapter (ISL3880+NET2280)
 	0550  Vigor550
-	1688  miniVigor 128 ISDN TA
-	6694  USB ISDN TA
+	1688  miniVigor 128 ISDN TA [HFC-S]
+	6694  miniVigor 128 ISDN TA
 0676  Teles AG
 0677  Aiwa Co., Ltd
 	07d5  TM-ED1285(USB)
@@ -8428,8 +8451,9 @@
 	32bb  Music Mediatouch
 071c  Xionics Document Technologies, Inc.
 071d  Eicon Networks Corp.
-	1000  Diva ISDN TA
-	1003  Diva
+	1000  Diva 2.01 S/T [PSB2115F]
+	1003  Diva ISDN 2.0
+	1005  Diva ISDN 4.0 [HFC-S]
 	2000  Teledat Surf
 071e  Ariston Technologies
 0723  Centillium Communications Corp.
@@ -8554,6 +8578,10 @@
 	0d00  StarSign Bio Token 3.0 EU
 073e  NEC, Inc.
 	0301  Game Pad
+0742  Stollmann
+	2008  ISDN TA [HFC-S]
+	2009  ISDN TA [HFC-S]
+	200a  ISDN TA [HFC-S]
 0745  Syntech Information Co., Ltd
 0746  Onkyo Corp.
 	5500  SE-U55 Audio Device
@@ -8638,6 +8666,7 @@
 0764  Cyber Power System, Inc.
 	0005  Cyber Power UPS
 	0501  CP1500 AVR UPS
+	0601  PR1500LCDRT2U UPS
 0765  X-Rite, Inc.
 	5001  Huey PRO Colorimeter
 	5020  i1 Display Pro
@@ -8942,8 +8971,8 @@
 	0002  ISDN TA128 Plus
 	0003  ISDN TA128 Deluxe
 	0005  ISDN TA128 SE
-	0006  ISDN TA128 CE
-	0007  ISDN TA
+	0006  ISDN TA 128 [HFC-S]
+	0007  ISDN TA [HFC-S]
 	0008  ISDN TA
 07b1  IMP, Inc.
 07b2  Motorola BCS, Inc.
@@ -8988,6 +9017,7 @@
 	090c  OpticBook 3600 Plus Scanner
 	0a06  TVcam VD100
 	0b00  SmartPhoto F50
+	0c00  OpticPro ST64 Scanner
 	0c03  OpticPro ST64+ Scanner
 	0c04  Optic Film 7200i scanner
 	0c0c  PL806 Scanner
@@ -9003,7 +9033,7 @@
 	0109  C-370Z/C-500Z/D-535Z/X-450
 	010a  MAUSB-10 xD and SmartMedia Card Reader
 	0112  MAUSB-100 xD Card Reader
-	0113  Mju 500
+	0113  Mju 500 / Stylus Digital Camera (PTP)
 	0114  C-350Z Camera
 	0118  Mju Mini Digital/Mju Digital 500 Camera / Stylus 850 SW
 	0125  Tough TG-1 Camera
@@ -9336,6 +9366,8 @@
 07f9  Dotop Technology, Inc.
 07fa  DrayTek Corp.
 	0778  miniVigor 128 ISDN TA
+	0846  ISDN TA [HFC-S]
+	0847  ISDN TA [HFC-S]
 	1012  BeWAN ADSL USB ST (grey)
 	1196  BWIFI-USB54AR 802.11bg
 	a904  BeWAN ADSL
@@ -9551,6 +9583,7 @@
 	9040  WNA1000 Wireless-N 150 [Atheros AR9170+AR9101]
 	9041  WNA1000M 802.11bgn [Realtek RTL8188CUS]
 	9042  On Networks N150MA 802.11bgn [Realtek RTL8188CUS]
+	9043  WNA1000Mv2 802.11bgn [Realtek RTL8188CUS?]
 	9050  A6200 802.11a/b/g/n/ac Wireless Adapter [Broadcom BCM43526]
 	9052  A6100 AC600 DB Wireless Adapter [Realtek RTL8811AU]
 	a001  PA101 10 Mbps HPNA Home Phoneline RJ-1
@@ -9830,8 +9863,9 @@
 	0100  Interface ADSL
 	0101  Interface ADSL
 	0102  ADSL
-	0301  RNIS
+	0301  RNIS ISDN TA [HFC-S]
 08e4  Pioneer Corp.
+	0184  DDJ-WeGO
 	0185  DDJ-WeGO2
 08e5  Litronic
 08e6  Gemalto (was Gemplus)
@@ -10018,6 +10052,7 @@
 	0373  Silicon Motion Camera
 	037a  Silicon Motion Camera
 	037b  Silicon Motion Camera
+	037c  300k Pixel Camera
 	1000  Flash Drive
 	1132  5-in-1 Card Reader
 	337b  Silicon Motion Camera
@@ -10032,6 +10067,7 @@
 	937b  Silicon Motion Camera
 	b370  Silicon Motion SM370 Camera
 	b371  Silicon Motion SM371 Camera
+	f37d  Endoscope camera
 090d  Multiport Computer Vertriebs GmbH
 090e  Shining Technology, Inc.
 090f  Fujitsu Devices, Inc.
@@ -10129,6 +10165,7 @@
 0927  Summus, Ltd
 0928  PLX Technology, Inc. (formerly Oxford Semiconductor, Ltd)
 	8000  Firmware uploader
+	ffff  Blank Oxford Device
 0929  American Biometric Co.
 092a  Toshiba Information & Industrial Sys. And Services
 092b  Sena Technologies, Inc.
@@ -10351,7 +10388,7 @@
 	fb18  LC Device
 0958  CompuLink Research, Inc.
 0959  Cologne Chip AG
-	2bd0  Intelligent ISDN (Ver. 3.60.04)
+	2bd0  Intelligent ISDN (Ver. 3.60.04) [HFC-S]
 095a  Portsmith
 	3003  Express Ethernet
 095b  Medialogic Corp.
@@ -10598,6 +10635,7 @@
 	0015  Optio S40/S5i
 	003b  Optio 50 (mass storage mode)
 	003d  Optio S55
+	0041  Optio S5z
 	0043  *ist DL
 	0047  Optio S60
 	0052  Optio 60 Digital Camera
@@ -11946,6 +11984,9 @@
 	0401  cyberJack pinpad(a2)
 	0500  cyberJack RFID standard dual interface smartcard reader
 	0501  cyberJack RFID comfort dual interface smartcard reader
+	0502  cyberJack compact
+	0504  cyberJack go / go plus
+	0505  cyberJack wave
 	9102  cyberJack RFID basis contactless smartcard reader
 0c4c  Needham's Electronics
 	0021  EMP-21 Universal Programmer
@@ -12015,6 +12056,16 @@
 0c5a  TRS International Mfg., Inc.
 0c5e  Xytronix Research & Design
 0c60  Apogee Electronics Corp.
+	0001  MiniMe
+	0002  MiniDAC
+	0003  ONE
+	0004  GiO
+	0007  Duet
+	0009  Jam
+	000a  Jam Bootloader
+	000b  MiC
+	000c  MiC Bootloader
+	8007  Duet DFU Mode
 0c62  Chant Sincere Co., Ltd
 0c63  Toko, Inc.
 0c64  Signality System Engineering Co., Ltd
@@ -12529,7 +12580,7 @@
 0da1  Suzhou Peter's Precise Industrial Co., Ltd
 0da2  Land Instruments International, Ltd
 0da3  Nippon Electro-Sensory Devices Corp.
-0da4  Polar Electro OY
+0da4  Polar Electro Oy
 	0001  Interface
 	0008  Loop
 0da7  IOGear, Inc.
@@ -12577,6 +12628,10 @@
 0db2  Shian Hwi Plug Parts, Plastic Factory
 0db3  Tekram Technology Co., Ltd
 0db4  Chung Fu Chen Yeh Enterprise Corp.
+0db5  Access IS
+	0139  LSR116 CDC
+	013a  LSR116 Keyboard
+	013b  LSR116 HID
 0db7  ELCON Systemtechnik
 	0002  Goldpfeil P-LAN
 0dba  Digidesign
@@ -12713,6 +12768,7 @@
 	2200  Sitecom bluetooth2.0 class 2 dongle CN-512
 	2208  Sitecom bluetooth2.0 class 2 dongle CN-520
 	2209  Sitecom bluetooth2.0 class 1 dongle CN-521
+	3068  DC-104v2 ISDN Adapter [HFC-S]
 	9071  WL-113 rev 1 Wireless Network USB Adapter
 	9075  WL-117 Hi-Speed USB Adapter
 	90ac  WL-172 Wireless Network USB Adapter 54g Turbo
@@ -12858,6 +12914,7 @@
 	0003  Freebird wireless Controller
 	0005  Eclipse wireless Controller
 	0006  Edge wireless Controller
+	0128  Wireless PS3 Controller
 0e70  Tokyo Electronic Industry Co., Ltd
 0e72  Hsi-Chin Electronics Co., Ltd
 0e75  TVS Electronics, Ltd
@@ -12894,6 +12951,7 @@
 	0016  4 port USB 1.1 hub UH-174
 	0020  USB to PS/2 Adapter
 	0021  Multimedia Keyboard Controller
+	0022  multimedia keyboard controller
 	0201  SmartJoy Frag Xpad/PS2 adaptor
 0e90  WiebeTech, LLC
 	0100  Storage Adapter V1
@@ -12974,6 +13032,7 @@
 0ee3  ComTrue Technology Corp.
 	1000  Image Tank 1.5
 0ee4  Sunrich Technology, Ltd
+	0690  SATA 3 Adapter
 0eee  Digital Stream Technology, Inc.
 	8810  Mass Storage Drive
 0eef  D-WAV Scientific Co., Ltd
@@ -13242,7 +13301,7 @@
 	e166  Xperia Mini Pro
 	e167  XPERIA mini
 	e19b  C2005 [Xperia M dual] (Mass Storage)
-	f0fa  Liveview micro display MN800 in DFU mode
+	f0fa  MN800 / Smartwatch 2 (DFU mode)
 0fcf  Dynastream Innovations, Inc.
 	1003  ANT Development Board
 	1004  ANTUSB Stick
@@ -13316,14 +13375,15 @@
 	61c5  P880 / Charge only
 	61c6  Vortex (msc)
 	61cc  Optimus S
+	61da  G2 Android Phone [tethering mode]
 	61f1  Optimus Android Phone [LG Software mode]
 	61f9  Optimus (Various Models) MTP Mode
 	61fc  Optimus 3
 	61fe  Optimus Android Phone [USB tethering mode]
 	6300  Optimus Android Phone
-	631c  Optimus Android Phone [MTP mode]
+	631c  G2/Optimus Android Phone [MTP mode]
 	631d  Optimus Android Phone (Camera/PTP Mode)
-	631e  Optimus Android Phone [Camera/PTP mode]
+	631e  G2/Optimus Android Phone [Camera/PTP mode]
 	631f  Optimus Android Phone (Charge Mode)
 	6356  Optimus Android Phone [Virtual CD mode]
 	6800  CDMA Modem
@@ -13435,6 +13495,7 @@
 	8901  Bluetooth Device
 	9967  W9967CF/W9968CF Webcam IC
 1048  Targus Group International
+	2010  4-Port hub
 104b  Mylex / Buslogic
 104c  AMCO TEC International, Inc.
 104d  Newport Corporation
@@ -13450,9 +13511,14 @@
 	0009  RE-BL PlayStation 3 IR-to-Bluetooth converter
 1050  Yubico.com
 	0010  Yubikey
-	0110  Yubikey NEO OTP
-	0111  Yubikey NEO OTP+CCID
-	0112  Yubikey NEO CCID
+	0110  Yubikey NEO(-N) OTP
+	0111  Yubikey NEO(-N) OTP+CCID
+	0112  Yubikey NEO(-N) CCID
+	0113  Yubikey NEO(-N) U2F
+	0114  Yubikey NEO(-N) OTP+U2F
+	0115  Yubikey NEO(-N) U2F+CCID
+	0116  Yubikey NEO(-N) OTP+U2F+CCID
+	0120  Yubikey Touch U2F Security Key
 	0200  U2F Gnubby
 	0211  Gnubby
 1053  Immanuel Electronics Co., Ltd
@@ -13484,6 +13550,7 @@
 	07a8  My Passport (WDBBEP), My Passport for Mac (WDBLUZ)
 	0810  My Passport Ultra (WDBZFP)
 	0820  My Passport Ultra (WDBMWV, WDBZFP)
+	0830  My Passport Ultra (WDBZFP)
 	0900  MyBook Essential External HDD
 	0901  My Book Essential Edition (Green Ring) (WDG1U)
 	0902  My Book Pro Edition (WDG1T)
@@ -13514,6 +13581,8 @@
 	1230  My Book (WDBFJK0030HBK)
 1059  Giesecke & Devrient GmbH
 	000b  StarSign Bio Token 3.0
+105b  Foxconn International, Inc.
+	e065  BCM43142A0 Bluetooth module
 105c  Hong Ji Electric Wire & Cable (Dongguan) Co., Ltd
 105d  Delkin Devices, Inc.
 105e  Valence Semiconductor Design, Ltd
@@ -13619,6 +13688,7 @@
 1084  Pantech Co., Ltd
 108a  Chloride Power Protection
 108b  Grand-tek Technology Co., Ltd
+	0005  HID Keyboard/Mouse PS/2 Translator
 108c  Robert Bosch GmbH
 108e  Lotes Co., Ltd.
 1099  Surface Optics Corp.
@@ -13726,7 +13796,8 @@
 	8863  C8051F34x Bootloader
 	8897  C8051F38x HDMI Splitter [UHBX]
 	8918  C8051F38x HDMI Audio Extractor [VSA-HA-DP]
-	8973  C8051F38x HDMI Splitter [UHBX-8X]
+	8973  C8051F38x HDMI Extender [UHBX-8X]
+	89e1  C8051F38x HDMI Extender [UHBX-SW3-WP]
 	ea60  CP210x UART Bridge / myAVR mySmartUSB light
 	ea61  CP210x UART Bridge
 	ea70  CP210x UART Bridge
@@ -13751,6 +13822,8 @@
 	0101  USB-Module for Spider8, CP32
 	0202  CP22 - Communication Processor
 	0301  CP42 - Communication Processor
+10d2  RayComposer - R. Adams
+	5243  RayComposer
 10d4  Man Boon Manufactory, Ltd
 10d5  Uni Class Technology Co., Ltd
 	0004  PS/2 Converter
@@ -13757,6 +13830,7 @@
 	5552  KVM Human Interface Composite Device (Keyboard/Mouse ports)
 	55a2  2Port KVMSwitcher
 10d6  Actions Semiconductor Co., Ltd
+	0c02  BioniQ 1001 Tablet
 	1000  MP3 Player
 	1100  MPMan MP-Ki 128 MP3 Player/Recorder
 	1101  D-Wave 2GB MP4 Player / AK1025 MP3/MP4 Player
@@ -13828,6 +13902,7 @@
 112e  Master Hill Electric Wire and Cable Co., Ltd
 112f  Cellon International, Inc.
 1130  Tenx Technology, Inc.
+	0001  BlyncLight
 	0002  iBuddy
 	0202  Rocket Launcher
 	6604  MCE IR-Receiver
@@ -14401,6 +14476,7 @@
 1390  TOMTOM B.V.
 	0001  GO 520 T/GO 630/ONE XL (v9)
 	5454  Blue & Me 2
+	7474  GPS Sport Watch [Runner, Multi-Sport]
 1391  IdealTEK, Inc.
 	1000  URTC-1000
 1395  Sennheiser Communications
@@ -14498,6 +14574,7 @@
 	3304  Asus Integrated Bluetooth module [AR3011]
 	3306  Mediao 802.11n WLAN [Realtek RTL8191SU]
 	3315  Bluetooth module
+	3362  Atheros AR3012 Bluetooth 4.0 Adapter
 	3375  Atheros AR3012 Bluetooth 4.0 Adapter
 	3392  Azurewave 43228+20702
 	3394  Bluetooth
@@ -14769,7 +14846,6 @@
 	0501  WR-G528e 'CHEETAH'
 14e1  Dialogue Technology Corp.
 	5000  PenMount 5000 Touch Controller
-14e4  Broadcom Corp.
 14e5  SAIN Information & Communications Co., Ltd.
 14ea  Planex Communications
 	ab10  GW-US54GZ
@@ -14804,6 +14880,7 @@
 	0002  HDReye (before firmware loads)
 1519  Comneon
 	0020  HSIC Device
+	0443  Telit LN930
 1520  Bitwire Corp.
 1524  ENE Technology Inc
 	6680  UTS 6680
@@ -14813,11 +14890,15 @@
 1529  UBIQUAM Co., Ltd.
 	3100  CDMA 1xRTT USB Modem (U-100/105/200/300/520)
 152a  Thesycon Systemsoftware & Consulting GmbH
+	8350  NET Gmbh iCube Camera
 	8400  INI DVS128
 	840d  INI DAViS
 	841a  INI DAViS FX3
+152b  FLYTECH Technology CO Ltd
+	0003  M.I.R. srl Minispir
 152d  JMicron Technology Corp. / JMicron USA Technology Corp.
-	0539  JMS539 SuperSpeed SATA II 3.0G Bridge
+	0539  JMS539/567 SuperSpeed SATA II/III 3.0G/6.0G Bridge
+	0567  JMS567 SATA 6.0Gb/s bridge
 	0770  Alienware Integrated Webcam
 	2329  JM20329 SATA Bridge
 	2335  ATA/ATAPI Bridge
@@ -16861,7 +16942,13 @@
 	0011  MTi-100 IMU
 	0012  MTi-200 VRU
 	0013  MTi-300 AHRS
-	0017  MTi-G-700 GPS INS
+	0017  MTi-G 7xx GNSS/INS
+	0100  Body Pack
+	0101  Awinda Station
+	0102  Awinda Dongle
+	0103  Sync Station
+	0200  MTw
+	d00d  Wireless Receiver
 2650  Electronics For Imaging, Inc. [hex]
 2659  Sundtek
 	1101  TNT DVB-T/DAB/DAB+/FM
@@ -16941,6 +17028,30 @@
 	0a02  Jolla Phone Developer
 	0a05  Jolla PC connection
 	0afe  Jolla charging only
+2a03  dog hunter AG
+	0001  Linino ONE (bootloader)
+	0036  Arduino Leonardo (bootloader)
+	0037  Arduino Micro (bootloader)
+	0038  Arduino Robot Control (bootloader)
+	0039  Arduino Robot Motor (bootloader)
+	003a  Arduino Micro ADK rev3 (bootloader)
+	003b  Arduino Serial
+	003c  Arduino Explora (bootloader)
+	003d  Arduino Due (usb2serial)
+	003e  Arduino Due
+	0041  Arduino Yùn (bootloader)
+	0042  Arduino Mega 2560 Rev3
+	0043  Arduino Uno Rev3
+	004d  Arduino Zero Pro (bootloader)
+	8001  Linino ONE (CDC ACM)
+	8036  Arduino Leonardo (CDC ACM)
+	8037  Arduino Micro (CDC ACM)
+	8038  Arduino Robot Control (CDC ACM)
+	8039  Arduino Robot Motor (CDC ACM)
+	803a  Arduino Micro ADK rev3 (CDC ACM)
+	803c  Arduino Explora (CDC ACM)
+	8041  Arduino Yùn (CDC ACM)
+	804d  Arduino Zero Pro (CDC ACM)
 2c02  Planex Communications
 	14ea  GW-US11H WLAN
 2c1a  Dolphin Peripherals
